<?php
header("access-control-allow-origin: *");
include("../bd/config.php");
include("../classes/corridas.php");
include_once "../classes/clientes.php";
include_once "../classes/motoristas.php";
include_once "../classes/mensagens.php";
include_once "../classes/avaliacoes.php";

$crr = new corridas();
$c = new Clientes();
$m = new Motoristas();
$msg = new mensagens();
$a = new avaliacoes();

$senha = $_POST['senha'];
$telefone = $_POST['telefone'];

$cliente = $c->login($telefone, $senha);

if ($cliente) {
    $cliente_id = $cliente['id'];
    $resposta = array();
    $corridas = $crr->get_all_corridas_cliente($cliente_id);
    //pega a última corrida
    if ($corridas) {
        $corrida = $corridas[0];
        $status = $corrida['status'];
        $status_string = $crr->status_string($status);
        if ($status == 1 || $status == 2 || $status == 3 || $status == 4) {
            $dados_motorista = $m->get_motorista($corrida['motorista_id']);
            $resposta['motorista'] = $dados_motorista['nome'];
            $resposta['motorista_id'] = $dados_motorista['id'];
            $resposta['motorista_img'] = $dados_motorista['img'];
            $resposta['latitude'] = $dados_motorista['latitude'];
            $resposta['longitude'] = $dados_motorista['longitude'];
            $resposta['placa'] = $dados_motorista['placa'];
            $resposta['veiculo'] = $dados_motorista['veiculo'];
            $resposta['motorista_nome'] = $dados_motorista['nome'];
            $resposta['avaliacao'] = $a -> get_media_avaliacoes($dados_motorista['id']);
        }
        $resposta['status'] = $status;
        $resposta['status_string'] = $status_string;
        $resposta['id'] = $corrida['id'];
        $resposta['taxa'] = $corrida['taxa'];
        
        $mensagens = $msg->get_all_msg($corrida['id']);
        if($mensagens){
            $resposta['msg'] = $mensagens;
        }else{
            $resposta['msg'] = "";
        }

        echo json_encode($resposta);
    } else {
        echo json_encode(array("status" => 0));
    }
}
